ELASTIX(1)

NAME
elastix - manual page for elastix version: 5.2.0

DESCRIPTION
elastix version: 5.2.0

elastix registers a moving image to a fixed image. The registration-process is specified in the parameter file.

--help, -h displays this message and exit

--version
    output version information and exit

--extended-version
    output extended version information and exit

  Call elastix from the command line with mandatory arguments:

-f  fixed image

-m  moving image

-out
    output directory

-p  parameter file, elastix handles 1 or more "-p"

  Optional extra commands:

-fMask
    mask for fixed image

-mMask
    mask for moving image

-fp point set for fixed image

-mp point set for moving image

-t0 parameter file for initial transform

-loglevel set the log level to "off", "error", "warning", or "info" (default),

-priority set the process priority to high, abovenormal, normal (default),

    belownormal, or idle (Windows only option)

-threads
    set the maximum number of threads of elastix

The parameter-file must contain all the information necessary for elastix to run properly. That includes which metric to use, which optimizer, which transform, etc. It must also contain information specific for the metric, optimizer, transform, etc. For a usable parameter-file, see the website.

  Need further help? Please check:

    * the elastix website: https://elastix.dev * the source code repository site: https://github.com/SuperElastix/elastix * the discussion forum: https://groups.google.com/g/elastix-imageregistration